[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.Destroy

Remove the TIniFile instance from memory

## Declaration

Source position: inifiles.pp line 180

`public destructor TIniFile.Destroy; override;`

## Description

Destroy writes any pending changes to disk, and cleans up the TIniFile structures, and then calls the inherited Destroy, effectively removing the instance from memory.

## Errors

If an error happens when the file is written to disk, an exception will be raised.

## See also

UpdateFile |  | Update the file on disk
CacheUpdates |  | Should changes be kept in memory

Documentation generated on: Feb 26 2014